From 35bd29798fc6ded4a3d235d9f2fd0767d64f2dba Mon Sep 17 00:00:00 2001
From: Jan Dittberner <jandd@debian.org>
Date: Thu, 8 Oct 2015 09:31:16 -0700
Subject: =?UTF-8?q?remove=20ldaptor-webui=0AThis=20patch=20removes=20ldapt?=
 =?UTF-8?q?or-webui.=20The=20ldaptor-webui=20code=20depends?=

 on an ancient version of the twisted framework and is not supportable without
 upstream porting it to a more recent version.

Patch-Name: remove-webui.patch
---
 doc/Makefile |  2 +-
 setup.py     | 25 +------------------------
 2 files changed, 2 insertions(+), 25 deletions(-)

diff --git a/doc/Makefile b/doc/Makefile
index 53083db..6c8eb63 100644
--- a/doc/Makefile
+++ b/doc/Makefile
@@ -137,6 +137,6 @@ api:
 	        -o api \
 		--name Ldaptor \
 		--url http://www.inoi.fi/open/trac/ldaptor/ \
-		$$(find ../ldaptor \( -name SCCS -prune \) -o -name '*.py' -print)
+		$$(find ../ldaptor \( -name SCCS -prune \) -o -name '*.py' -a ! -regex '.*/webui/.*' -a ! -regex '.*/test/web/.*' -a ! -regex '.*/test/test_webui\.py' -a ! -regex '.*/test/mockweb\.py' -a ! -name 'weave.py' -print)
 
 .PHONY: api
diff --git a/setup.py b/setup.py
index 84c0f88..cbfa8cd 100755
--- a/setup.py
+++ b/setup.py
@@ -165,11 +165,9 @@ from the command line.
         "ldaptor.protocols.ldap.autofill",
 	"ldaptor.samba",
 	"ldaptor.apps",
-	"ldaptor.apps.webui",
 	"ldaptor.test",
 	],
 	  scripts=[
-	"bin/ldaptor-webui",
 	"bin/ldaptor-ldap2dhcpconf",
 	"bin/ldaptor-ldap2maradns",
 	"bin/ldaptor-ldap2dnszones",
@@ -183,25 +181,4 @@ from the command line.
 	"bin/ldaptor-rename",
 	"bin/ldaptor-fetchschema",
 	],
-          data_files=[
-        (os.path.join(sysconfig.get_python_lib(), 'ldaptor/apps/webui'),
-         [
-        'ldaptor/apps/webui/add-really.xhtml',
-        'ldaptor/apps/webui/add.xhtml',
-        'ldaptor/apps/webui/basedn.xhtml',
-        'ldaptor/apps/webui/change_password.xhtml',
-        'ldaptor/apps/webui/change_service_passwords.xhtml',
-        'ldaptor/apps/webui/delete-nodn.xhtml',
-        'ldaptor/apps/webui/delete.xhtml',
-        'ldaptor/apps/webui/edit-really.xhtml',
-        'ldaptor/apps/webui/edit.xhtml',
-        'ldaptor/apps/webui/login.xhtml',
-        'ldaptor/apps/webui/mass_change_password-really.xhtml',
-        'ldaptor/apps/webui/mass_change_password.xhtml',
-        'ldaptor/apps/webui/move.xhtml',
-        'ldaptor/apps/webui/search.xhtml',
-
-        'ldaptor/apps/webui/ldaptor.css',
-        'ldaptor/apps/webui/skin-default.html',
-        ]),
-        ])
+        )
